<ui:composition
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:g="http://www.ihe.net/gazelle"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pds/pampdsTemplate.xhtml">
            <ui:param name="pageTitle"
                      value="#{messages['gazelle.simulator.pam.PampdsCreateNewPatientadt^a28^adta05']}"></ui:param>
            <ui:param name="panelTitle"
                      value="#{messages['gazelle.simulator.pam.CreatePatient']}"></ui:param>
            <ui:param name="diagramSrc"
                      value="diag/#{creationManager.sendingActor.keyword}_A28.png"></ui:param>
            <ui:param name="pdsBean" value="#{creationManager}"></ui:param>
            <ui:define name="helpText">
                <h:outputText
                        value="#{messages['gazelle.pam.YouCanEitherGenerateAPatientUsingOurDemographicD']})"
                        styleClass="help-block"/>
            </ui:define>
            <ui:define name="ddsButtons">
                <a4j:commandButton id="generateButton"
                                   value="#{messages['gazelle.simulator.pam.GeneratePatient']}"
                                   actionListener="#{creationManager.generateAndSavePatient()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel"/>
            </ui:define>
            <ui:define name="actionOnPatientColumn">
                <g:column id="actionColumn">
                    <f:facet name="header">#{messages['gazelle.simulator.pam.Action']}</f:facet>
                    <div class="gzl-never-wrap">
                        <h:outputLink
                                value="#{patient.getPermanentLink()}"
                                target="_blank"
                                title="#{messages['gazelle.pam.ViewDetails']}">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                        <a4j:commandLink
                                actionListener="#{creationManager.actionOnSelectedPatient(patient)}"
                                render="globalForm"
                                title="#{messages['gazelle.pam.SendPatient']}" execute="@this">
                            <s:span styleClass="gzl-icon-paper-plane "/>
                        </a4j:commandLink>
                    </div>
                </g:column>
            </ui:define>
            <ui:define name="selectedPatientDivInsert">
                <s:decorate template="/layout/panels/_panel_title_footer_id.xhtml"
                            rendered="#{creationManager.selectedPatient != null}" id="selectedPatientDiv">
                    <ui:param name="panel_id" value="selectedPatient"/>
                    <ui:define name="panel_title">#{messages['gazelle.simulator.pam.CreatedPatient']}</ui:define>
                    <s:div rendered="#{not creationManager.displayEditPatientPanel}">
                        <ui:include src="/patient/showPatient.xhtml">
                            <ui:param name="patient"
                                      value="#{creationManager.selectedPatient}"/>
                            <ui:param name="renderHistory" value="false"/>
                            <ui:param name="renderEncounters" value="false"/>
                            <ui:param name="renderZFD" value="#{iti30Manager.bp6Mode}"/>
                            <ui:param name="zfp" value="false"/>
                            <ui:param name="zfs" value="true"/>
                            <ui:param name="showLinks" value="false"/>
                            <ui:param name="prefix" value="def"/>
                            <ui:param name="renderRelationships" value="true"/>
                        </ui:include>
                    </s:div>
                    <s:div rendered="#{creationManager.displayEditPatientPanel}">
                        <ui:include src="/pds/editPatientWithIdManagement.xhtml">
                            <ui:param name="patient"
                                      value="#{creationManager.selectedPatient}"/>
                            <ui:param name="renderHistory" value="false"/>
                            <ui:param name="renderZFD" value="#{iti30Manager.bp6Mode}"/>
                            <ui:param name="zfp" value="false"/>
                            <ui:param name="zfs" value="true"/>
                            <ui:param name="renderEncounters" value="false"/>
                            <ui:param name="managedBean" value="#{creationManager}"/>
                            <ui:param name="renderRelationships" value="#{true}"/>
                        </ui:include>
                    </s:div>
                    <ui:define name="panel_footer">
                        <a4j:commandButton
                                value="#{messages['gazelle.simulator.pam.SelectAnotherPatient']}"
                                actionListener="#{managedBean.performAnotherTest(null)}" styleClass="gzl-btn"
                                render="globalForm"/>
                        <a4j:commandButton id="editPatient"
                                           actionListener="#{creationManager.setDisplayEditPatientPanel(true)}"
                                           value="#{messages['gazelle.simulator.pam.ModifyPatientData']}"
                                           render="selectedPatientDiv" styleClass="gzl-btn-blue"
                                           rendered="#{creationManager.selectedPatient != null and not creationManager.displayEditPatientPanel}"/>
                        <a4j:commandButton id="viewPatient" styleClass="gzl-btn-blue"
                                           actionListener="#{creationManager.setDisplayEditPatientPanel(false)}"
                                           value="#{messages['gazelle.simulator.pam.ViewPatient']}"
                                           render="selectedPatientDiv"
                                           rendered="#{creationManager.selectedPatient != null and creationManager.displayEditPatientPanel}"/>
                        <a4j:commandButton id="regeneratePatient"
                                           actionListener="#{creationManager.displayDDSPanel()}"
                                           value="#{messages['gazelle.simulator.pam.GenerateAnotherPatient']}"
                                           render="selectedPatientDiv, ddsDiv"
                                           styleClass="gzl-btn-blue"/>
                    </ui:define>
                </s:decorate>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
